<?php

/**
 * Front to the WordPress application. This file doesn't do anything, but loads
 * wp-blog-header.php which does and tells WordPress to load the theme.
 *
 * @package WordPress
 */

/**
 * Tells WordPress to load the WordPress theme and output it.
 *
 * @var bool
 */
define('WP_USE_THEMES', false);
/** Loads the WordPress Environment and Template */
require(dirname(__FILE__) . '/../../../wp-blog-header.php');
require_once('./includes/class-wc-iotpay-api.php');
$obj = new IOTPay_API();
parse_str($_SERVER['QUERY_STRING'], $arr);
file_put_contents("./wp-content/plugins/iotpay-wechatpay-alipay-for-woocommerce/log.txt", json_encode($arr) . " \r\n", FILE_APPEND);
$res = $obj->sign_verify($arr);
if ($res == "success") {
    $order_id = substr($arr["mchOrderNo"], 16);
    $order = new WC_Order($order_id);
    if ($order) {
        if ($order->needs_payment()) {
            update_post_meta($order_id, 'payOrderId', $arr["payOrderId"]);
            try {
                $order->payment_complete($order_id);
            } catch (Exception $e) {
                file_put_contents("./wp-content/plugins/iotpay-wechatpay-alipay-for-woocommerce/log.txt", "error:" . $e . " \r\n", FILE_APPEND);
                exit;
            }
        }
        if ($_SERVER['REQUEST_METHOD'] == "POST") {
            echo "SUCCESS";
            exit;
        } else {
            header("Location: " . $order->get_checkout_order_received_url());
            exit;
        }
    }
}
// $payment_page = get_permalink(woocommerce_get_page_id('pay'));
// if (get_option('woocommerce_force_ssl_checkout') == 'yes') $payment_page = str_replace('http:', 'https:', $payment_page);
// header("Location:" . $payment_page);
