<?php
define('WP_USE_THEMES', false);
require(dirname(__FILE__) . '/../../../wp-blog-header.php');
require_once('./includes/class-wc-iotpay-api.php');
$payment_page = get_permalink(woocommerce_get_page_id('pay'));
if (get_option('woocommerce_force_ssl_checkout') == 'yes') $payment_page = str_replace('http:', 'https:', $payment_page);
parse_str($_SERVER['QUERY_STRING'], $arr);
$order_id = sanitize_text_field($_GET['order_id']);
$order = new WC_Order($order_id);
if ($order) {
    if (isset($_GET['status']) && $_GET['status'] == "2") {
        $obj = new IOTPay_API();
        $res = $obj->sign_verify($arr);
        if ($res == "success") {
            header("Location:" . $order->get_checkout_order_received_url());
            exit;
        } else {
            wc_add_notice(__('Payment error:', 'woothemes') . 'sign verify fail', 'error');
        }
    } else {
        wc_add_notice(__('Payment error:', 'woothemes') . $_GET['retMsg'], 'error');
    }
} else {
    wc_add_notice(__('Payment error:', 'woothemes') . $order_id . 'order not found');
}
header("Location:" . $payment_page);
?>
